%define libname_orig lib%{name}
%define libname %mklibname %{name} 0

%define date 	03232006
%define	name    farsight
%define	version 0.1
%define	release %mkrel 0.%{date}.2

Summary:	An audio/video conferencing framework
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Url:		http://farsight.sourceforge.net/	
Group:		Networking/Instant messaging
Source0:  	%{name}-%{date}.tar.bz2		
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description

FarSight is an audio/video conferencing framework 
specifically designed for Instant Messengers. It 
aims to provide a code structure that will be able 
to absorb as many video conferencing protocols as 
possible. It also offers an interface to those Instant 
Messengers, allowing them to embed the video feeds and 
controls into them.

FarSight is not a standalone application. It provides two 
APIs, one for interfacing with the different "protocol modules" 
and one for interfacing with the Instant Messenger GUI. There will 
also be a default GUI for those who don't wish to embed the feeds 
into their Instant Messenger's GUI.

%package -n %{libname}
Summary:	Sophia-sip library
Group:		Graphical desktop/KDE
Provides:	%{libname_orig} = %{version}-%{release}

%description -n %{libname}
Library for %{name}

%package -n %{libname}-devel
Summary:	Headers of %name for development
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}

%description -n %{libname}-devel
Headers of %{name} for development.

%prep
%setup -q -n %{name}

%build

sh autogen.sh
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT

%{makeinstall_std}


%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig


%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/farsight-0.1/librtp.so.0
%{_libdir}/farsight-0.1/librtp.so.0.0.0
%{_libdir}/libfarsight-0.1.so.0
%{_libdir}/libfarsight-0.1.so.0.0.0
%{_libdir}/farsight-0.1/librtp.la
%{_libdir}/farsight-0.1/librtp.so

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/farsight-0.1/farsight/farsight-codec.h
%{_includedir}/farsight-0.1/farsight/farsight-plugin.h
%{_includedir}/farsight-0.1/farsight/farsight-session.h
%{_includedir}/farsight-0.1/farsight/farsight-stream.h
%{_includedir}/farsight-0.1/farsight/farsight-transport.h
%{_includedir}/farsight-0.1/farsight/farsight-version.h
%{_includedir}/farsight-0.1/farsight/farsight.h
%{_libdir}/pkgconfig/farsight-0.1.pc
%{_libdir}/libfarsight-0.1.la
%{_libdir}/libfarsight-0.1.so


%changelog
* Thu Mar 23 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.1-0.03232006.2mdk
- Remova wrong require

* Thu Mar 23 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.1-0.%{date}.1mdk
- First mandriva release
